API Explorer 936 endpoints

Get User Invitations

GET /obp/v7.0.0/banks/BANK_ID/user-invitations

OBPv4.0.0-getUserInvitations Roles: CanGetUserInvitation(per bank) User-Invitation

Get User Invitations

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (7)
company
Tesobe GmbH
country
Germany
email
felixsmith@example.com
first_name
Tom
last_name
Smith
purpose
DEVELOPER
status
Example success response
{
  "first_name": "Tom",
  "last_name": "Smith",
  "email": "felixsmith@example.com",
  "company": "Tesobe GmbH",
  "country": "Germany",
  "purpose": "DEVELOPER",
  "status": ""
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv4.0.0 getUserInvitations Originally /obp/v4.0.0/banks/BANK_ID/user-invitations